//----------------------------------------------------------------------------------------------------
// IMAGE.js
//----------------------------------------------------------------------------------------------------

function refreshImage(id) 
{ 
	var image = $(id);
	if ( image != null )
	{
		if ( null == image.originalSrc ) // Not yet initialized
		{
			image.originalSrc = image.src ; // Keep the original src for reuse 
		}
		var originalSrc = image.originalSrc ;
		var tmp = new Date();
		newSrc = originalSrc + "#A" + tmp.getTime() ;
		//alert("refreshImage() : \n Original src = " + originalSrc + "\n New src = " + newSrc );
		image.src = newSrc ;
		fwkSetVisible(image) ;
	}
}

function uploadCallback(code, msg) 
{ 
  	// alert("myCallback : \n Return code = " + code + "\n Return message(s) : \n" + msg ); 
  	if ( code == 0 ) 
  	{
  		// Upload OK
  		alert("UPLOAD OK : \n Return code = " + code + "\n Return message(s) : \n" + msg);
  		
  		refreshImage("image.view") ;
  	}
  	else
  	{
  		alert("ERROR : \n Return code = " + code + "\n Return message(s) : \n" + msg);
  	}
}

//----------------------------------------------------------------------------------------------------
// Operations after screen loading  
//----------------------------------------------------------------------------------------------------
window.onload = function () 
{
	fwkSetHidden("image.view") ;
}
//----------------------------------------------------------------------------------------------------
function actionSet()
{
	alert("actionSet() ...");
	actions.doSet();
}
//----------------------------------------------------------------------------------------------------
function actionGet()
{
	alert("actionGet() ...");
	var response = actions.doGet(); // Update Screen (by default)
	//response.show();
	//var response = actions.doGet(true); // Update Screen 
	//var response = actions.doGet(false); // Do NOT update screen
	
	// The code below replaces "actions.doGet_DataVoid()"
	if ( response.isOK() && response.dataVoid() )
	{
		alert ( "No agency !" );	
	}	
}
//----------------------------------------------------------------------------------------------------
function actionClear()
{
	alert("actionClear() ...");
	actions.doClear(); // Update Screen (by default)
	//actions.doClear(false); // Clear context but DO NOT Update Screen	
	fwkSetHidden("image.view") ;
}
//----------------------------------------------------------------------------------------------------
function setKeyParam()
{
	actions.setParameter( "name", fwkGetValue("image.name") );
	actions.showParameters();
}
//----------------------------------------------------------------------------------------------------
function actionLoad()
{
	alert("actionLoad()...");
	setKeyParam();
	//actions.doNotGetContextData();
	
	var response = actions.doLoad(); // Update Screen (by default)
	//var response = actions.doLoad(getKeyParam()); // Update Screen (by default)
	//var response = actions.doLoad(getKeyParam(), true); // Update Screen 
	//var response = actions.doLoad(getKeyParam(), false); // Do NOT Update Screen 
	
	// The code below replaces "actions.doLoad_DataNotFound()"
	if ( response.dataNotFound() )
	{
		alert ( "Not found !" );
		fwkSetHidden("image.view") ;
	}
	else
	{
		refreshImage("image.view") ;
	}
}
//----------------------------------------------------------------------------------------------------
function actionSave()
{
	alert("actionSave()...");
	actions.doSave();
}
//----------------------------------------------------------------------------------------------------
function actionInsert()
{
	alert ( "actionInsert()  ");
	actions.doInsert();
}
//----------------------------------------------------------------------------------------------------
function actionUpdate()
{
	alert ( "actionUpdate()  ");
	actions.doUpdate();
}
//----------------------------------------------------------------------------------------------------
function actionDelete()
{
	alert ( "actionDelete() ");
	setKeyParam();
	actions.doDelete(); 
	fwkSetHidden("image.view") ;
}

