package demo.screen.IMAGE;

import org.objectweb.telosys.common.TelosysException;
import org.objectweb.telosys.screen.core.StandardScreenData;

import demo.vo.ImageVO;

/**
 * @author Telosys Team
 * 
 */
public class IMAGEdata extends StandardScreenData
{
    public final static String IMAGE    = "image" ; 

    //-----------------------------------------------------------------------------------------------
    public IMAGEdata() throws TelosysException
    {
        //--- Define the Screen Data Elements 
        defineElement(IMAGE,   ImageVO.class );
    }
    //-----------------------------------------------------------------------------------------------
    //-----------------------------------------------------------------------------------------------
    public ImageVO getImage()
    {
        return (ImageVO) getElement(IMAGE); 
    }
    //-----------------------------------------------------------------------------------------------
    public void setImage(ImageVO v)
    {
        setElement(IMAGE, v);
    }
    //-----------------------------------------------------------------------------------------------
    //-----------------------------------------------------------------------------------------------
}